#Total Player Count
execute if score @s player_id matches 1.. run function heart_hunter:return_scores
execute unless score @s player_id matches 1.. run scoreboard players add #global player_count 1
execute unless score @s player_id matches 1.. run scoreboard players operation @s player_id = #global player_count

# Logic to evenly assign roles
execute if score #global hunter_count < #global hunted_count run scoreboard players set @s role 1
execute if score #global hunted_count <= #global hunter_count run scoreboard players set @s role 2

#Points
execute unless score @s points matches 0.. run scoreboard players set @s points 100

#Reset
execute unless score @s reset matches 0.. run scoreboard players set @s reset 0
execute as @s run scoreboard players operation @s reset = #global reset

#Hearts
execute unless score @s health matches 0.. run scoreboard players set @s health 10

#Info
execute unless score @s temp matches 0.. run scoreboard players set @s temp 0
execute unless score @s show matches 0.. run scoreboard players set @s show 0
execute unless score @s show_hide_info matches 0.. run scoreboard players set @s show_hide_info 0

#Ban
scoreboard players set @s banned 0

#Remove tag
tag @s remove Target

#Leave team
team leave @s

# Update global counters
execute if score @s role matches 1 run scoreboard players add #global hunter_count 1
execute if score @s role matches 2 run scoreboard players add #global hunted_count 1

#Show title
execute if score @s role matches 1 run title @s title {"text":"You are a Hunter!","color":"red","bold":true}
execute if score @s role matches 2 run title @s title {"text":"You are a Hunted!","color":"blue","bold":true}

#Teams
execute if score @s role matches 1 run team join Hunter
execute if score @s role matches 2 run team join Hunted

#Save
function heart_hunter:save_scores

#Game Over
execute as @s run scoreboard players set @s game_over 0